#
# Spec file for glite-yaim-mpi
#

%define yaim_prefix /opt/glite

Summary: The yaim module for configuration of mpi-start on the WN and CE
Name: glite-yaim-mpi
Version: 1.1.12
Release: 1%{?dist}
License: ASL 2.0
Group: Applications/System
Source: glite-yaim-mpi-%{version}.src.tar.gz
URL: http://yaim.info/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: glite-yaim-core

%description
This package contains the yaim functions for configuring mpi-start.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{yaim_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{yaim_prefix}/yaim/functions/*
%{yaim_prefix}/yaim/node-info.d/*
%{yaim_prefix}/yaim/defaults/*
%{yaim_prefix}/yaim/examples/siteinfo/services/*
%{yaim_prefix}/share/man/man1/*
%{yaim_prefix}/yaim/etc/versions/%{name}
%doc README Changelog  

%changelog
* Wed Jul 22 2012 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.12-1%{?dist}
- Fixed issue #59 (incorrect Torque path for SL6)

* Tue Jan 17 2012 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.11-1%{?dist}
- Added warning in case of manual maui configuration.
- Added debian detection and configuration.

* Mon Nov 21 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.10-1%{?dist}
- Fixed bug #52 (https://ggus.eu/tech/ticket_show.php?ticket=75847) 

* Mon Nov 14 2011 Enol Fernandez <enolfc _AT_ ifca.unican.es> - 1.1.9-1%{?dist}
- Better EPEL-compliant spec file. 

